package com.sjyt.icom.asst;

import com.github.lianjiatech.retrofit.spring.boot.core.RetrofitScan;
import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.ConfigurableApplicationContext;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.yeauty.annotation.EnableWebSocket;

/**
 * @author Tab
 */
@Slf4j
@EnableScheduling
@SpringBootApplication
@RetrofitScan("com.sjyt.icom.asst.service.httpapi")
@EnableWebSocket
public class IComAsstApplication {

    public static void main(String[] args) {
        try {
            ConfigurableApplicationContext application = SpringApplication.run(IComAsstApplication.class, args);
        } catch (Throwable e) {
            e.printStackTrace();
        }
    }
}
